<template>
  <div class="search-field">
    <Icon name="search" />
    <input
      class="text-gray-500 w-40"
      type="text"
      placeholder="Type here..."
      v-model="value"
    />
  </div>
</template>

<script lang="ts">
export default {
  name: "SearchField",
  props: {
    value: String
  }
};
</script>

<style lang="scss" scoped>
.search-field svg {
  fill: red;
}

.search-field {
  @apply flex flex-nowrap gap-2 p-2 border border-solid border-gray-300 rounded bg-white;
  max-width: 25em;
  min-width: 10em;
}

.search-field:focus-within {
  border-color: #1890ff;
  transition: all 0.2s;
}
</style>
